Bug 52747 - libraries in /usr/lib that are links to /usr/lib/kde1-compat/lib do not work without the latter being in the library path
libraries in /usr/lib that are links to /usr/lib/kde1-compat/lib do not work ...
Product: Red Hat Linux
Classification: Retired
Component: kde1-compat (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2001-08-28 14:04 EDT by Jason Zwolak
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-28 14:04:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason Zwolak 2001-08-28 14:04:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.19-7.0.8 i686)

Description of problem:
When I compile kde programs they find the kde libraries in /usr/lib. 
However, some of those libraries are symbolic links to
/usr/lib/kde1-compat/lib.  The ones that are links do not work unless
/usr/lib/kde1-compat/ is in the library path.  So why even make symbolic

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.	Make a simple program like:
		int main() {
			return 1;
2.	compile it with the command: gcc simple.c -lkimgio

Actual Results:  You will get an error that kimgio is not found by ldd

Expected Results:  The program should give errors saying that certain
methods, objects, etc that kimgio requires are not found.  In other words,
it should find kimgio and try to link to it.  The linking will cause some
symbols to be unresolved.

Additional info:

Kdevelope has a tutorial (KDE application tutorial) that does not work
because of this problem.
Comment 1 Ngo Than 2001-09-26 08:14:15 EDT
You should add -L/usr/lib/kde1-compat/lib, it should work.
Alle kde1-compats libs are in /usr/lib/kde1-compat/lib

Note You need to log in before you can comment on or make changes to this bug.